# Created by pyp2rpm-3.3.7
%global pypi_name sphinxcontrib-asciinema
%global srcname sphinxcontrib.asciinema

Name:           python-%{pypi_name}
Version:        0.4.2
Release:        %mkrel 2
Summary:        Embed asciinema casts in your Sphinx docs
Group:          Development/Python
License:        MIT
URL:            https://github.com/divi255/sphinxcontrib.asciinema
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Easily embed asciinema videos into Sphinx rst docs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Easily embed asciinema videos into Sphinx rst docs.

%prep
%autosetup -n sphinxcontrib.asciinema-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

# drop .pth
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4.2-2.mga10
+ Revision: 2240005
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.4.2-1.mga10
+ Revision: 2157141
- new version 0.4.2
- rebuild for python3.13

* Thu Dec 07 2023 wally <wally> 0.3.3-4.mga10
+ Revision: 2015088
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.3.3-3.mga9
+ Revision: 1823291
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.3.3-2.mga9
+ Revision: 1782415
- rebuild for python-3.10

* Sun Aug 29 2021 wally <wally> 0.3.3-1.mga9
+ Revision: 1743375
- imported package python-sphinxcontrib-asciinema

